slepc-3.21.1 2024-04-26
Report Typos and Errors

# STReset

Resets the ST context to the initial state (prior to setup) and destroys any allocated Vecs and Mats.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STReset(ST st)

Collective

### Input Parameter

| st | - the spectral transformation context

### See Also

STDestroy()

### Level

advanced

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages